# Class AccessDeniedError

An error that is thrown when the current user does not have permission to access a resource or perform an operation.

#### Hierarchy

- Error
  - AccessDeniedError

#####
Index

### Constructors

constructor

##
Constructors

### constructor

- new AccessDeniedError(message?, ...args): AccessDeniedError

- Initializes a new instance of the AccessDeniedError class.

  #### Parameters

  - `Optional` message: string

    The error message. If not specified, a default one will be used.

  - `Rest`...args: unknown[]

    The values to substitute into the format string. Null and undefined values will be converted into empty strings.

  #### Returns AccessDeniedError

  Overrides Error.constructor